Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] configure/library question
From: Jeff Hammond (jeff.science_at_[hidden])
Date: 2013-07-19 17:42:45


Whoever designed the application you're trying to use to work only
with LIBS="-lmpi" indicates poor software engineering and a
low-quality application.

You can install or uninstall whatever you like but it is incorrect to
think that MPICH is broken because it does not provide libmpi.{a,so}.

In the absence of a sufficient understanding of how to link against
MPI, your best bet is to use CC=mpicc (and friends for LD, CXX,
FC,...).

Jeff

On Fri, Jul 19, 2013 at 2:12 PM, Hodgess, Erin <HodgessE_at_[hidden]> wrote:
> I figured out how to uninstall and am going to install open mpi
> Thanks,
> Erin
>
> ________________________________
> From: users-bounces_at_[hidden] [users-bounces_at_[hidden]] on behalf of
> Ralph Castain [rhc_at_[hidden]]
> Sent: Friday, July 19, 2013 2:06 PM
> To: Open MPI Users
> Subject: Re: [OMPI users] configure/library question
>
> Probably a lot more familiar to the folks on the MPICH mailing list - this
> is the mailing list for Open MPI :-)
>
> On Jul 19, 2013, at 12:03 PM, "Hodgess, Erin" <HodgessE_at_[hidden]> wrote:
>
> Hello all!
>
> I just downloaded the MPICH 3.0.4 tar.gz
>
> Then I used
> tar xfvz tar-3.0.4.tar.gz
> ./configure
> make
> make install
>
> Now I'm trying to compile someone else's program and it can't find libmpi or
> libmpich.a
>
> I did find libmpich.a, but no libmpi.
>
> Does this sound familiar, please?
>
> Thanks for any help!
>
> Sincerely,
> Erin
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
>
>
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Hammond
jeff.science_at_[hidden]